gtkmm: Gtk::CellRendererToggle Class Reference

gtkmm 2.24.5

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::CellRendererToggle Class Reference
TreeView Classes

Renders a toggle button in a cell. More...

Inheritance diagram for Gtk::CellRendererToggle:
[legend]
Collaboration diagram for Gtk::CellRendererToggle:
[legend]

## Public Member Functions
virtual | ~CellRendererToggle ()
GtkCellRendererToggle* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkCellRendererToggle* | gobj () const
| Provides access to the underlying C GtkObject. More...
| CellRendererToggle ()
bool | get_radio () const
| Returns whether we're rendering radio toggles rather than checkboxes. More...
void | set_radio (bool radio=true)
| If radio is `true`, the cell renderer renders a radio toggle (i.e. a toggle in a group of mutually-exclusive toggles). More...
bool | get_active () const
| Returns whether the cell renderer is active. More...
void | set_active (bool setting=true)
| Activates or deactivates a cell renderer. More...
bool | get_activatable () const
| Returns whether the cell renderer is activatable. More...
void | set_activatable (bool setting=true)
| Makes the cell renderer activatable. More...
Glib::SignalProxy< void, const Glib::ustring&> | signal_toggled ()
| The toggled signal is emitted when the cell is toggled. More...
Glib::PropertyProxy< bool > | property_activatable ()
| The toggle button can be activated. More...
Glib::PropertyProxy_ReadOnly< bool > | property_activatable () const
| The toggle button can be activated. More...
Glib::PropertyProxy< bool > | property_active ()
| The toggle state of the button. More...
Glib::PropertyProxy_ReadOnly< bool > | property_active () const
| The toggle state of the button. More...
Glib::PropertyProxy< bool > | property_inconsistent ()
| The inconsistent state of the button. More...
Glib::PropertyProxy_ReadOnly< bool > | property_inconsistent () const
| The inconsistent state of the button. More...
Glib::PropertyProxy< bool > | property_radio ()
| Draw the toggle button as a radio button. More...
Glib::PropertyProxy_ReadOnly< bool > | property_radio () const
| Draw the toggle button as a radio button. More...
Glib::PropertyProxy< int > | property_indicator_size ()
| Size of check or radio indicator. More...
Glib::PropertyProxy_ReadOnly< int > | property_indicator_size () const
| Size of check or radio indicator. More...
Public Member Functions inherited from Gtk::CellRenderer
virtual | ~CellRenderer ()
GtkCellRenderer* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkCellRenderer* | gobj () const
| Provides access to the underlying C GtkObject. More...
void | get_size (Widget& widget, const Gdk::Rectangle& cell_area, int& x_offset, int& y_offset, int& width, int& height) const
| Obtains the width and height needed to render the cell. More...
void | get_size (Widget& widget, int& x_offset, int& y_offset, int& width, int& height) const
| Obtains the width and height needed to render the cell. More...
void | render (const Glib::RefPtr< Gdk::Window >& window, Widget& widget, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, const Gdk::Rectangle& expose_area, CellRendererState flags)
| Invokes the virtual render function of the Gtk::CellRenderer. More...
bool | activate (GdkEvent* event, Widget& widget, const Glib::ustring& path, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags)
| Passes an activate event to the cell renderer for possible processing. More...
CellEditable* | start_editing (GdkEvent* event, Widget& widget, const Glib::ustring& path, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags=CellRendererState(0))
| Passes an activate event to the cell renderer for possible processing. More...
void | set_fixed_size (int width, int height)
| Sets the renderer size to be explicit, independent of the properties set. More...
void | get_fixed_size (int& width, int& height) const
| Fills in width and height with the appropriate size of cell. More...
void | set_alignment (float align, float yalign)
| Sets the renderer's alignment within its available space. More...
void | get_alignment (float& xalign, float& yalign) const
| Fills in xalign and yalign with the appropriate values of cell. More...
void | set_padding (int xpad, int ypad)
| Sets the renderer's padding. More...
void | get_padding (int& xpad, int& ypad) const
| Fills in xpad and ypad with the appropriate values of cell. More...
void | set_visible (bool visible=true)
| Sets the cell renderer's visibility. More...
bool | get_visible () const
| Returns the cell renderer's visibility. More...
void | set_sensitive (bool sensitive=true)
| Sets the cell renderer's sensitivity. More...
bool | get_sensitive () const
| Returns the cell renderer's sensitivity. More...
void | editing_canceled ()
| Causes the cell renderer to emit the Gtk::CellRenderer::signal_editing_canceled() signal. More...
void | stop_editing (bool canceled=false)
| Informs the cell renderer that the editing is stopped. More...
Glib::SignalProxy< void > | signal_editing_canceled ()
| This signal is emitted when the user cancels the process of editing a cell. More...
Glib::SignalProxy< void, CellEditable*, const Glib::ustring&> | signal_editing_started ()
| This signal gets emitted when a cell starts to be edited. More...
Glib::PropertyProxy< CellRendererMode > | property_mode ()
| Editable mode of the CellRenderer. More...
Glib::PropertyProxy_ReadOnly< CellRendererMode > | property_mode () const
| Editable mode of the CellRenderer. More...
Glib::PropertyProxy< bool > | property_visible ()
| Display the cell. More...
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Display the cell. More...
Glib::PropertyProxy< bool > | property_sensitive ()
| Display the cell sensitive. More...
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Display the cell sensitive. More...
Glib::PropertyProxy< float > | property_xalign ()
| The x-align. More...
Glib::PropertyProxy_ReadOnly< float > | property_xalign () const
| The x-align. More...
Glib::PropertyProxy< float > | property_yalign ()
| The y-align. More...
Glib::PropertyProxy_ReadOnly< float > | property_yalign () const
| The y-align. More...
Glib::PropertyProxy< unsigned int > | property_xpad ()
| The xpad. More...
Glib::PropertyProxy_ReadOnly< unsigned int > | property_xpad () const
| The xpad. More...
Glib::PropertyProxy< unsigned int > | property_ypad ()
| The ypad. More...
Glib::PropertyProxy_ReadOnly< unsigned int > | property_ypad () const
| The ypad. More...
Glib::PropertyProxy< int > | property_width ()
| The fixed width. More...
Glib::PropertyProxy_ReadOnly< int > | property_width () const
| The fixed width. More...
Glib::PropertyProxy< int > | property_height ()
| The fixed height. More...
Glib::PropertyProxy_ReadOnly< int > | property_height () const
| The fixed height. More...
Glib::PropertyProxy< bool > | property_is_expander ()
| Row has children. More...
Glib::PropertyProxy_ReadOnly< bool > | property_is_expander () const
| Row has children. More...
Glib::PropertyProxy< bool > | property_is_expanded ()
| Row is an expander row, and is expanded. More...
Glib::PropertyProxy_ReadOnly< bool > | property_is_expanded () const
| Row is an expander row, and is expanded. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_cell_background ()
| Cell background color as a string. More...
Glib::PropertyProxy< Gdk::Color > | property_cell_background_gdk ()
| Cell background color as a GdkColor. More...
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_cell_background_gdk () const
| Cell background color as a GdkColor. More...
Glib::PropertyProxy< bool > | property_cell_background_set ()
| Whether this tag affects the cell background color. More...
Glib::PropertyProxy_ReadOnly< bool > | property_cell_background_set () const
| Whether this tag affects the cell background color. More...
Glib::PropertyProxy_ReadOnly< bool > | property_editing () const
| Whether the cell renderer is currently in editing mode. More...
Public Member Functions inherited from Gtk::Object
virtual | ~Object ()
GtkObject* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkObject* | gobj () const
| Provides access to the underlying C GtkObject. More...
Glib::PropertyProxy< void*> | property_user_data ()
| Anonymous User Data Pointer. More...
Glib::PropertyProxy_ReadOnly< void*> | property_user_data () const
| Anonymous User Data Pointer. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Protected Member Functions
virtual void | on_toggled (const Glib::ustring& path)
| This is a default handler for the signal signal_toggled(). More...
Protected Member Functions inherited from Gtk::CellRenderer
virtual void | on_editing_canceled ()
| This is a default handler for the signal signal_editing_canceled(). More...
| CellRenderer ()
virtual void | get_size_vfunc (Widget& widget, const Gdk::Rectangle* cell_area, int* x_offset, int* y_offset, int* width, int* height) const
| Override this in derived CellRenderers. More...
virtual void | render_vfunc (const Glib::RefPtr< Gdk::Drawable >& window, Widget& widget, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, const Gdk::Rectangle& expose_area, CellRendererState flags)
virtual bool | activate_vfunc (GdkEvent* event, Widget& widget, const Glib::ustring& path, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags)
virtual CellEditable* | start_editing_vfunc (GdkEvent* event, Widget& widget, const Glib::ustring& path, const Gdk::Rectangle& background_area, const Gdk::Rectangle& cell_area, CellRendererState flags)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Gtk::CellRendererToggle* | wrap (GtkCellRendererToggle* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::CellRenderer
Gtk::CellRenderer* | wrap (GtkCellRenderer* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Object
Gtk::Object* | wrap (GtkObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Renders a toggle button in a cell.

The button is drawn as a radio- or checkbutton, depending on the radio property. When activated, it emits the toggled signal.

## Constructor & Destructor Documentation

## ◆ ~CellRendererToggle()

virtual Gtk::CellRendererToggle::~CellRendererToggle | ( |  | ) |
| virtual

## ◆ CellRendererToggle()

Gtk::CellRendererToggle::CellRendererToggle | ( |  | ) |

## Member Function Documentation

## ◆ get_activatable()

bool Gtk::CellRendererToggle::get_activatable | ( |  | ) | const

Returns whether the cell renderer is activatable.

See set_activatable().

Since gtkmm 2.18:

Returns
  `true` if the cell renderer is activatable.

## ◆ get_active()

bool Gtk::CellRendererToggle::get_active | ( |  | ) | const

Returns whether the cell renderer is active.

See set_active().

Returns
  `true` if the cell renderer is active.

## ◆ get_radio()

bool Gtk::CellRendererToggle::get_radio | ( |  | ) | const

Returns whether we're rendering radio toggles rather than checkboxes.

Returns
  `true` if we're rendering radio toggles rather than checkboxes.

## ◆ gobj() [1/2]

GtkCellRendererToggle* Gtk::CellRendererToggle::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

## ◆ gobj() [2/2]

const GtkCellRendererToggle* Gtk::CellRendererToggle::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

## ◆ on_toggled()

virtual void Gtk::CellRendererToggle::on_toggled | ( | const Glib::ustring & | path | ) |
| protectedvirtual

This is a default handler for the signal signal_toggled().

## ◆ property_activatable() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererToggle::property_activatable | ( |  | ) |

The toggle button can be activated.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_activatable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererToggle::property_activatable | ( |  | ) | const

The toggle button can be activated.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_active() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererToggle::property_active | ( |  | ) |

The toggle state of the button.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_active() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererToggle::property_active | ( |  | ) | const

The toggle state of the button.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_inconsistent() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererToggle::property_inconsistent | ( |  | ) |

The inconsistent state of the button.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_inconsistent() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererToggle::property_inconsistent | ( |  | ) | const

The inconsistent state of the button.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_indicator_size() [1/2]

Glib::PropertyProxy< int > Gtk::CellRendererToggle::property_indicator_size | ( |  | ) |

Size of check or radio indicator.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_indicator_size() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::CellRendererToggle::property_indicator_size | ( |  | ) | const

Size of check or radio indicator.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_radio() [1/2]

Glib::PropertyProxy< bool > Gtk::CellRendererToggle::property_radio | ( |  | ) |

Draw the toggle button as a radio button.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_radio() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::CellRendererToggle::property_radio | ( |  | ) | const

Draw the toggle button as a radio button.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_activatable()

void Gtk::CellRendererToggle::set_activatable | ( | bool | setting = `true` | ) |

Makes the cell renderer activatable.

Since gtkmm 2.18:

Parameters

  setting | The value to set.

## ◆ set_active()

void Gtk::CellRendererToggle::set_active | ( | bool | setting = `true` | ) |

Activates or deactivates a cell renderer.

Parameters

  setting | The value to set.

## ◆ set_radio()

void Gtk::CellRendererToggle::set_radio | ( | bool | radio = `true` | ) |

If radio is `true`, the cell renderer renders a radio toggle (i.e. a toggle in a group of mutually-exclusive toggles).

If `false`, it renders a check toggle (a standalone boolean option). This can be set globally for the cell renderer, or changed just before rendering each cell in the model (for Gtk::TreeView, you set up a per-row setting using Gtk::TreeViewColumn to associate model columns with cell renderer properties).

Parameters

  radio | `true` to make the toggle look like a radio button.

## ◆ signal_toggled()

Glib::SignalProxy< void,const Glib::ustring& > Gtk::CellRendererToggle::signal_toggled | ( |  | ) |

The toggled signal is emitted when the cell is toggled.

Parameters

  path | string representation of TreePath describing the event location

Slot Prototype:
  `void on_my_toggled(const Glib::ustring& path)`

## Friends And Related Function Documentation

## ◆ wrap()

Gtk::CellRendererToggle* wrap | ( | GtkCellRendererToggle * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/cellrenderertoggle.h